import { ServerClient } from 'postmark';

const fromAddr = process.env.FROM_ADDRESS || '';
const toAddr = process.env.ADMIN_ADDRESS || '';
const serverToken = process.env.POSTMARK_SERVER_TOKEN || '';
const client = new ServerClient(serverToken);

export function emailNotification({
  subject,
  bodyPrefix,
  name,
  type,
  amount,
  email,
  phone,
  address,
}: {
  subject: string;
  bodyPrefix: string;
  name: string;
  type: string;
  amount: number;
  email: string;
  phone: string;
  address: string;
}) {
  client.sendEmail({
    From: fromAddr,
    To: toAddr,
    Subject: subject,
    TextBody: [
      bodyPrefix,
      '',
      'Name: ' + name,
      'Type: ' + type,
      'Amount: ' + amount,
      'Email: ' + email,
      'Phone: ' + phone,
      'Address: ' + address,
    ].join('\n'),
  });
}
